For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
      • GETList conversations
      • POSTCreate conversation
      • GETGet conversation
      • PATCHUpdate conversation
      • GETList conversation events
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
(Beta) Conversations APIConversations

Get conversation

||View as Markdown|
GET
https://api.moveworks.ai/rest/v1beta1/conversations/:conversation_id
GET
/rest/v1beta1/conversations/:conversation_id
$curl https://api.moveworks.ai/rest/v1beta1/conversations/conv_32bt7BMLhLyVzTUjfi35N \
> -H "Assistant-Name: acmecorp-conversations-rest-api" \
> -H "Authorization: Bearer <token>"
1{
2 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
3 "created_at": "2025-01-20T10:00:00Z",
4 "updated_at": "2025-01-20T10:05:00Z",
5 "title": "User permissions discussion"
6}
Retrieves a specific conversation.
Was this page helpful?
Previous

Update conversation

Next
Built with

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

Conversation retrieved successfully
conversation_idstring

A base-62 identifier prefixed by a short resource type

created_atdatetime

Creation timestamp (ISO 8601)

updated_atdatetime

Last update timestamp (ISO 8601)

titlestring<=256 characters

Optional user-defined title

archivedboolean

User-controlled flag to mark conversation as archived

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error